<?php
/**
* @package RSSeo!
* @copyright (C) 2015 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access'); ?>

<div class="row-fluid" id="rsseo-general-statistics">
	<div class="span6 well">
		<h4 class="center"><?php echo JText::sprintf('COM_RSSEO_STATISTICS_FOR',JURI::root()); ?></h4>
		<?php if (!empty($this->statistics)) { ?>
		<table class="table table-condensed adminlist">
		<?php foreach ($this->statistics as $type => $value) { ?>
		<?php if ($type == 'date') continue; ?>
			<tr>
				<td width="80%"><?php echo JText::_('COM_RSSEO_STATISTICS_'.strtoupper($type)); ?></td>
				<td class="center">
					<?php if ($type == 'age') {
						echo $value == -1 ? JText::_('COM_RSSEO_NA') : rsseoHelper::convertage($value);
					} else { ?>
					<span class="badge<?php if ($value != -1) echo ' badge-success'; ?>"><?php echo $value == -1 ? JText::_('COM_RSSEO_NA') : $value; ?></span>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
		</table>
		<?php if (isset($this->statistics['date'])) { ?>
		<small style="text-align: right; display: block;"><?php echo JText::sprintf('COM_RSSEO_STATISTICS_LAST_UPDATED',JHtml::_('date', $this->statistics['date'], rsseoHelper::getConfig('global_dateformat'))); ?></small>
		<?php } ?>
		<?php } ?>
	</div>
	<?php if (!empty($this->pages)) { ?>
	<div class="span6 well">
		<h4 class="center"><?php echo JText::_('COM_RSSEO_MOST_VISITED_PAGES'); ?></h4>				
		<table class="table table-condensed adminlist">
		<?php foreach ($this->pages as $page) { ?>
		<?php $pageurl = ($page->id == 1) ? JURI::root() : $page->url; ?>
			<tr>
				<td width="90%" class="rstd">
					<a href="<?php echo JRoute::_('index.php?option=com_rsseo&task=page.edit&id='.$page->id); ?>">
						<?php echo $pageurl; ?>
					</a>
					&nbsp;
					<a href="<?php echo JURI::root().$page->url; ?>" target="_blank">
						<img src="<?php echo JURI::root(); ?>administrator/components/com_rsseo/assets/images/external-link.png" alt="" />
					</a>
				</td>
				<td class="center"><span class="badge"><?php echo $page->hits; ?></span></td>
			</tr>
		<?php } ?>
		</table>
	</div>
	<?php } ?>
	<div class="clr"></div>
</div>